Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled.spi
Class MixerProvider

    java.lang.Object
      |
      +--javax.sound.sampled.spi.MixerProvider

public abstract class MixerProvider
extends Object

A provider or factory for a particular mixer type. This mechanism allows the implementation to determine how resources are managed in creation / management of a mixer.

Since:
  1.3

Constructor Summary
`MixerProvider()`

Method Summary
`abstract Mixer` | `getMixer(Mixer.Info info)` Obtains an instance of the mixer represented by the info object.
`abstract Mixer.Info[]` | `getMixerInfo()` Obtains the set of info objects representing the mixer or mixers provided by this MixerProvider.
`boolean` | `isMixerSupported(Mixer.Info info)` Indicates whether the mixer provider supports the mixer represented by the specified mixer info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixerProvider

    public MixerProvider()

Method Detail

### isMixerSupported

    public boolean isMixerSupported(Mixer.Info info)

  Indicates whether the mixer provider supports the mixer represented by the specified mixer info object.
  Parameters:
    `an` - info object that describes the mixer for which support is queried
  Returns:
    `true` if the specified mixer is supported, otherwise `false`

### getMixerInfo

    public abstract Mixer.Info[] getMixerInfo()

  Obtains the set of info objects representing the mixer or mixers provided by this MixerProvider.
  Returns:
    set of mixer info objects

### getMixer

    public abstract Mixer getMixer(Mixer.Info info)

  Obtains an instance of the mixer represented by the info object.
  Parameters:
    `an` - info object that describes the desired mixer
  Returns:
    mixer instance
  Throws:
    `IllegalArgumentException` - if the info object specified does not match the info object for a mixer supported by this MixerProvider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.